Bug 1443585 (CVE-2017-5661)

Summary: CVE-2017-5661 fop: XML external entity processing vulnerability
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aileenc, bmcclain, c.david86, chazlett, eedri, gvarsami, hhorak, java-maint, java-sig-commits, jcoleman, jorton, ldimaggi, lsurette, mgoldboi, michal.skrivanek, mizdebsk, nwallace, rhbugs, rlandman, rwagner, sbonazzo, srevivo, tcunning, tkirby, vondruch, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: fop 2.2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-27 10:52:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1472048    
Bug Blocks: 1443594    

Description Andrej Nemec 2017-04-19 14:05:49 UTC
In Apache FOP before 2.2, files lying on the filesystem of the server which uses FOP can be revealed to arbitrary users who send maliciously formed SVG files. The file types that can be shown depend on the user context in which the exploitable application is running. If the user is root a full compromise of the server - including confidential or sensitive files - would be possible. XXE can also be used to attack the availability of the server via denial of service as the references within a xml document can trivially trigger an amplification attack.

References:

https://xmlgraphics.apache.org/security.html
http://seclists.org/oss-sec/2017/q2/86

Comment 5 Doran Moppert 2018-04-26 07:42:19 UTC
Statement:

The fop packager is no longer used or required by the Red Hat Virtualization Manager. Red Hat recommends removing it after upgrading to Red Hat Virtualization 4.1.